Main Page Groups Namespaces

# sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > Struct Template Reference
[bind(), bind_return()]

Adaptor that binds 7 argument(s) to the wrapped functor. More...

Inheritance diagram for sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >:

[legend]
List of all members.

## Public Types

typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type

## Public Member Functions

result_type | operator() ()
| Invokes the wrapped functor passing on the bound argument only.
| bind_functor (typename type_trait<T_functor>::take _A_func, typename type_trait<T_type1>::take _A_bound1, typename type_trait<T_type2>::take _A_bound2, typename type_trait<T_type3>::take _A_bound3, typename type_trait<T_type4>::take _A_bound4, typename type_trait<T_type5>::take _A_bound5, typename type_trait<T_type6>::take _A_bound6, typename type_trait<T_type7>::take _A_bound7)
| Constructs a bind_functor object that binds an argument to the passed functor.

## Public Attributes

T_type1 | bound1_
| The argument bound to the functor.
T_type2 | bound2_
T_type3 | bound3_
T_type4 | bound4_
T_type5 | bound5_
T_type6 | bound6_
T_type7 | bound7_

## Detailed Description

### template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
struct sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >

Adaptor that binds 7 argument(s) to the wrapped functor.

This template specialization fixes the last 7 argument(s) of the wrapped functor.

## Member Typedef Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
typedef adapts<T_functor>::adaptor_type sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::adaptor_type

| Reimplemented from sigc::adapts<T_functor>.

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
typedef adaptor_type::result_type sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::result_type

| Reimplemented from sigc::adapts<T_functor>.

## Member Function Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bind_functor | ( | typename type_trait<T_functor>::take | _A_func,
|  | typename type_trait<T_type1>::take | _A_bound1,
|  | typename type_trait<T_type2>::take | _A_bound2,
|  | typename type_trait<T_type3>::take | _A_bound3,
|  | typename type_trait<T_type4>::take | _A_bound4,
|  | typename type_trait<T_type5>::take | _A_bound5,
|  | typename type_trait<T_type6>::take | _A_bound6,
|  | typename type_trait<T_type7>::take | _A_bound7
| ) | `[inline]`

Constructs a bind_functor object that binds an argument to the passed functor.

Parameters:

  _A_functor | Functor to invoke from operator()().
  _A_bound | Argument to bind to the functor.

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::result_type sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::operator() | ( |  | ) |

Invokes the wrapped functor passing on the bound argument only.

Returns:
  The return value of the functor invocation.

## Member Data Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_type1 sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bound1_

| The argument bound to the functor.

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_type2 sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bound2_

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_type3 sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bound3_

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_type4 sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bound4_

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_type5 sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bound5_

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_type6 sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bound6_

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_type7 sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::bound7_

The documentation for this struct was generated from the following file:

- adaptors/bind.h